//*****************************************************************************
//
// Имя файла    : 'iplugins.h'
// Описание     : Интерфейс плагинов
// Автор        : Межлумов В.Ш.
//
//*****************************************************************************
#pragma once

#include "plugins/plugin.h"

// ============================================================================
//                                  Константы
// ============================================================================

    #define PLG_PLUGIN_IFACE_ID         "com.application.plugin.IPlugin/1.0"


// ============================================================================
//                                  IPlugin
// ============================================================================

class IPlugin
{
    public:
        virtual ~IPlugin () {}
        virtual CPlugin* GetPlugin (void) = 0;
};

Q_DECLARE_INTERFACE(IPlugin, PLG_PLUGIN_IFACE_ID)
